data:extend({
{
	type = "item",
	name = "iron-coal-mix",
	icon = "__random_things__/graphics/icons/iron-coal-mix.png",
	icon_size = 32,
	flags = {"goes-to-main-inventory"},
	subgroup = "raw-resource",
	order = "e",
	stack_size = 50
},
{
	type = "module",
	name = "filter-module",
	icon = "__random_things__/graphics/icons/filter-module.png",
	icon_size = 32,
	flags = {"goes-to-main-inventory"},
	subgroup = "module",
	category = "productivity",
	tier = 1,
	order = "c[productivity]-d[filter-module]",
	stack_size = 50,
	default_request_amount = 10,
	effect =
	{
		consumption = {bonus = -0.3},
		pollution = {bonus = -0.1},
    	},
},
{
	type = "module",
	name = "filter-module-2",
	icon = "__random_things__/graphics/icons/filter-module-2.png",
	icon_size = 32,
	flags = {"goes-to-main-inventory"},
	subgroup = "module",
	category = "productivity",
	tier = 1,
	order = "c[productivity]-e[filter-module-2]",
	stack_size = 50,
	default_request_amount = 10,
	effect =
	{
		consumption = {bonus = -0.4},
		pollution = {bonus = -0.2},
    	},
},
{
	type = "module",
	name = "filter-module-3",
	icon = "__random_things__/graphics/icons/filter-module-3.png",
	icon_size = 32,
	flags = {"goes-to-main-inventory"},
	subgroup = "module",
	category = "productivity",
	tier = 1,
	order = "c[productivity]-f[filter-module-3]",
	stack_size = 50,
	default_request_amount = 10,
	effect =
	{
		consumption = {bonus = -0.5},
		pollution = {bonus = -0.4},
    	},
}})