data:extend({
	{
		type = "recipe",
		name = "fast-transport-belt",
		enabled = false,
		ingredients =
		{
			{"iron-gear-wheel", 2},
			{"transport-belt", 1}
		},
		result = "fast-transport-belt"
	},
	{
		type = "recipe",
		name = "fast-underground-belt",
		energy_required = 2,
		enabled = false,
		ingredients =
		{
			{"iron-gear-wheel", 10},
			{"underground-belt", 2}
		},
		result_count = 2,
		result = "fast-underground-belt",
	},
	{
		type = "recipe",
		name = "fast-splitter",
		enabled = false,
		energy_required = 2,
		ingredients =
		{
			{"splitter", 1},
			{"iron-gear-wheel", 5},
			{"electronic-circuit", 5}
		},
		result = "fast-splitter",
	},

	{
		type = "recipe",
		name = "express-transport-belt",
		category = "crafting-with-fluid",
		normal =
		{
			enabled = false,
			ingredients =
			{
				{"iron-gear-wheel", 2},
				{"fast-transport-belt", 1},
				{type="fluid", name="lubricant", amount=5},
			},
			result = "express-transport-belt"
		},
		expensive =
		{
			enabled = false,
			ingredients =
			{
				{"iron-gear-wheel", 20},
				{"fast-transport-belt", 1},
				{type="fluid", name="lubricant", amount=20},
			},
			result = "express-transport-belt",
		},
	},
	{
		type = "recipe",
		name = "express-underground-belt",
		energy_required = 2,
		category = "crafting-with-fluid",
		enabled = false,
		ingredients =
		{
			{"iron-gear-wheel", 10},
      			{"fast-underground-belt", 2},
      			{type="fluid", name="lubricant", amount=20},
    		},
		result_count = 2,
		result = "express-underground-belt"
	},
	{
		type = "recipe",
		name = "express-splitter",
		category = "crafting-with-fluid",
		enabled = false,
		energy_required = 2,
		ingredients =
		{
			{"fast-splitter", 1},
			{"iron-gear-wheel", 5},
			{"advanced-circuit", 5},
			{type="fluid", name="lubricant", amount=20}
		},
		result = "express-splitter"
	},
})