data:extend(
{
	{
    		type = "technology",
    		name = "carbon-steel-processing",
    		icon = "__random_things__/graphics/technology/carbon-steel-processing-tech.png",
		icon_size = 128,
    		effects =
    		{
			{
				type = "unlock-recipe",
				recipe = "iron-coal-mixing"
			},
			{
				type = "unlock-recipe",
				recipe = "carbon-steel-smelting"
			},
    		},
		prerequisites =
		{
			"steel-processing"
		},
    		unit =
    		{
     			count = 500,
      			ingredients = 
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"production-science-pack", 1}
			},
      			time = 45
    		},
    		order = "c-a"
    	},
	{
		type = "technology",
		name = "filter-module",
		icon_size = 128,
		icon = "__random_things__/graphics/technology/filter-module.png",
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "filter-module"
			}
		},
		prerequisites = {"modules"},
		unit =
		{
			count = 50,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1}
			},
			time = 30
		},
		upgrade = true,
		order = "i-g-a"
	},
	{
		type = "technology",
		name = "filter-module-2",
		icon_size = 128,
		icon = "__random_things__/graphics/technology/filter-module.png",
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "filter-module-2"
			}
		},
		prerequisites = {"filter-module"},
		unit =
		{
			count = 75,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 30
		},
		upgrade = true,
		order = "i-g-b"
	},
	{
		type = "technology",
		name = "filter-module-3",
		icon_size = 128,
		icon = "__random_things__/graphics/technology/filter-module.png",
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "filter-module-3"
			}
		},
		prerequisites = {"filter-module-2"},
		unit =
		{
			count = 300,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"high-tech-science-pack", 1}
			},
			time = 60
		},
		upgrade = true,
		order = "i-g-c"
	},
}) 